// Style for Lists pages

section#lists {
	display: none;
	min-height: calc(100vh);
	padding: 100px 0;

	.wrap {
		align-items: center;
		display: flex;
		flex-direction: column;
		justify-content: center;

		div.lists {
			display: flex;
			flex-wrap: wrap;
			justify-content: space-between;
			width: 100%;

			div.list {
				background-color: $grey;
				border-radius: 3px;
				box-sizing: border-box;
				height: auto;
				margin-right: 15px;
				margin-bottom: 15px;
				min-height: 350px;
				padding: 35px;
				width: calc(50% - 15px);

				h2 {
					align-items: center;
					display: flex;
					font-size: 17px;
					font-weight: $semi-bold;
					justify-content: space-between;
					margin-bottom: 10px;

					span.delete_list {
						cursor: pointer;
						display: block;
						width: 30px;

						img {
							width: 100%;
						}
					}
				}

				ul {
					list-style: inside;

					li {
						background-color: $white;
						display: flex;
						justify-content: space-between;
						line-height: 26px;
						padding: 10px;
						margin-bottom: 10px;

						> div.change {
							span {
								cursor: pointer;
								display: block;
								width: 30px;

								img {
									width: 100%;
								}
							}
						}
					}
				}

				input.add_item {
					background-color: $white;
					border-radius: 3px;
					box-sizing: border-box;
					font-family: $main-font-family;
					font-size: 16px;
					margin-bottom: 15px;
					margin-top: 15px;
					padding: 10px 20px;
					width: 100%;
				}
			}

			div.list:nth-of-type(2n+2) {
				margin-right: 0;
			}
		}

		span.add_list {
			cursor: pointer;
			display: block;
			margin-left: auto;
			width: 50px;

			img {
				width: 100%;
			}
		}
	}
}
